       IDENTIFICATION DIVISION.
       PROGRAM-ID.    TEST1.

      ***************************************************
      * TEST1                                           *
      * using data file, and generate 100% report       *
      *                                                 *
      ***************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT F-DATA
                  ASSIGN TO INPUT-OUTPUT "DATA.TXT"
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS MODE  IS SEQUENTIAL
                  FILE STATUS  IS STAT-DATA.
                  
           SELECT IMPRESO
                  ASSIGN TO PRINT "REPORT.TXT"
                  FILE STATUS IS STAT-IMP.
                  

       DATA DIVISION.
       FILE SECTION.

       FD  F-DATA
           LABEL RECORD IS STANDARD.
       01  R-DATA.
           02 DAT-KEY      PIC 9(05).
           02 DAT-NAME     PIC X(50).
           02 DAT-ADDRESS  PIC X(50).
           02 DAT-CITY     PIC X(20).
           
       FD  IMPRESO
           LABEL RECORDS ARE OMITTED.
       01  LINEA         PIC X(500).

       WORKING-STORAGE SECTION.

       77 IK             PIC X.
       77 RESP           PIC X.

       77  STAT-DATA     PIC XX.
       77  STAT-IMP      PIC XX.
       77  MEM-LINEA     PIC X(100).

       01  VAR-LINE.
           02 FILLER     PIC X(05) VALUE "<VAR".
           02 VAR-NAME   PIC X(15).
           02 FILLER     PIC X(02) VALUE "='".
           02 VAR-VALUE  PIC X(100).
           02 FILLER     PIC X(02) VALUE "'>".

       77  I                    PIC 99.
       01  ARR-TOTALES.
           02 ARR-TOTALESX      OCCURS 10 TIMES.
               04 ARR-CANTID    PIC 9(04).

       PROCEDURE DIVISION.
       000-INICIO.
           PERFORM VARYING I FROM 1 BY 1 UNTIL I > 10
               MOVE ZEROS TO ARR-CANTID(I)
           END-PERFORM.

           OPEN INPUT F-DATA.

           OPEN OUTPUT IMPRESO.

       100-READ.
           READ F-DATA AT END GO TO 500-FIN.

           IF DAT-NAME(1:1) = "A" ADD 1 TO ARR-CANTID(1)
           ELSE IF DAT-NAME(1:1) = "B" ADD 1 TO ARR-CANTID(2)
           ELSE IF DAT-NAME(1:1) = "C" ADD 1 TO ARR-CANTID(3)
           ELSE IF DAT-NAME(1:1) = "D" ADD 1 TO ARR-CANTID(4)
           ELSE IF DAT-NAME(1:1) = "E" ADD 1 TO ARR-CANTID(5)
           ELSE IF DAT-NAME(1:1) = "F" ADD 1 TO ARR-CANTID(6)
           ELSE IF DAT-NAME(1:1) = "G" ADD 1 TO ARR-CANTID(7)
           ELSE IF DAT-NAME(1:1) = "H" ADD 1 TO ARR-CANTID(8)
           ELSE IF DAT-NAME(1:1) = "I" ADD 1 TO ARR-CANTID(9)
           ELSE IF DAT-NAME(1:1) = "J" ADD 1 TO ARR-CANTID(10).

           GO TO 100-READ.

       500-FIN.
           WRITE LINEA FROM "<include 'chart.def'>".
           WRITE LINEA FROM "<PRINT OPEN-CHART>".

           PERFORM VARYING I FROM 1 BY 1 UNTIL I > 10
      *         MOVE SPACES TO MEM-LINEA
      *         STRING "<chart value='",
      *                ARR-CANTID(I),
      *                "' legend='VALUE'>"
      *                DELIMITED BY SIZE INTO MEM-LINEA
      *         WRITE LINEA FROM MEM-LINEA

              MOVE "VALUE" TO VAR-NAME
              MOVE ARR-CANTID(I) TO VAR-VALUE
              WRITE LINEA FROM VAR-LINE

              MOVE "LEGEND" TO VAR-NAME
              MOVE SPACES TO VAR-VALUE
              STRING "VALUE-", I DELIMITED BY SIZE INTO VAR-VALUE
              WRITE LINEA FROM VAR-LINE

              WRITE LINEA FROM "<PRINT value-chart>"
           END-PERFORM.
           WRITE LINEA FROM "</chart>".

           CLOSE F-DATA.
           CLOSE IMPRESO.

           CALL "SYSTEM" USING "COBVIEW.EXE REPORT.TXT".


       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

