       IDENTIFICATION DIVISION.
       PROGRAM-ID.    TEST1.

      ***************************************************
      * TEST1                                           *
      * using data file, and generate 100% report       *
      *                                                 *
      ***************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT F-DATA
                  ASSIGN TO INPUT-OUTPUT "DATA.TXT"
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS MODE  IS SEQUENTIAL
                  FILE STATUS  IS STAT-DATA.
                  
           SELECT IMPRESO
                  ASSIGN TO PRINT "REPORT.TXT"
                  FILE STATUS IS STAT-IMP.
                  

       DATA DIVISION.
       FILE SECTION.

       FD  F-DATA
           LABEL RECORD IS STANDARD.
       01  R-DATA.
           02 DAT-KEY      PIC 9(05).
           02 DAT-NAME     PIC X(50).
           02 DAT-ADDRESS  PIC X(50).
           02 DAT-CITY     PIC X(20).
           
       FD  IMPRESO
           LABEL RECORDS ARE OMITTED.
       01  LINEA         PIC X(500).

       WORKING-STORAGE SECTION.

       77 IK             PIC X.
       77 RESP           PIC X.
       
       77  STAT-DATA     PIC XX.
       77  STAT-IMP      PIC XX.


       01  DETA1.
           02 FILLER           PIC X(08) VALUE "<COL #1>".
           02 DET1-KEY         PIC 9(05).
           02 FILLER           PIC X(08) VALUE "<COL #2>".
           02 DET1-NAME        PIC X(50).
           02 FILLER           PIC X(08) VALUE "<COL #3>".
           02 DET1-ADDRESS     PIC X(50).
           02 FILLER           PIC X(08) VALUE "<COL #4>".
           02 DET1-CITY        PIC X(20).

       PROCEDURE DIVISION.
       000-INICIO.
       
           OPEN INPUT F-DATA.
           
           OPEN OUTPUT IMPRESO.
           
           PERFORM 500-TITLES.
           
       100-READ.
           READ F-DATA AT END GO TO 500-FIN.
           
           
           MOVE DAT-KEY     TO DET1-KEY.
           MOVE DAT-NAME    TO DET1-NAME.
           MOVE DAT-ADDRESS TO DET1-ADDRESS.
           MOVE DAT-CITY    TO DET1-CITY.
           
           WRITE LINEA FROM DETA1.
           
           GO TO 100-READ.
           
       500-TITLES.
           WRITE LINEA FROM "<page size='letter'>".
           WRITE LINEA FROM "<margin left='0.5' top='0.5'>".
           
           WRITE LINEA FROM "<header border=1 bgcolor='#E9E3CD' rounded=
      -           "'1'>".
           WRITE LINEA FROM "<center>".
           WRITE LINEA FROM "<font face='Arial' size='14'>".
           WRITE LINEA FROM SPACES.
           WRITE LINEA FROM "COBVIEW test 1 </center>".
           WRITE LINEA FROM "<font size='8'>".
           WRITE LINEA FROM "<set page title='Page' top='0.9' left='7'>".
      *     WRITE LINEA FROM "<right>$page(Page)</right>".
           WRITE LINEA FROM SPACES.
           WRITE LINEA FROM "</header>".

           WRITE LINEA FROM "<font face='Arial' size='8'>".

           WRITE LINEA FROM "<defcol #1 left='0' width='0.7' title='KEY'
      -          " visible='1' border=1 bgcolor='#4176CF'>".
           WRITE LINEA FROM "<defcol #2 left='1' width='2' title='NAME
      -          "' visible='1' border = 1 bgcolor='#4176CF'>".
           WRITE LINEA FROM "<defcol #3 left='+0.02' width='2' title='AD
      -          "DRESS' visible='1' border=1 bgcolor='#4176CF'>".
           WRITE LINEA FROM "<defcol #4 left='+0.02' width='1.5' title='
      -          "CITY' visible='1' border=1 bgcolor='#4176CF'>".
      
           WRITE LINEA FROM "<body>".
           
           
       500-FIN.
           CLOSE F-DATA.
           CLOSE IMPRESO.

           CALL "SYSTEM" USING "COBVIEW.EXE REPORT.TXT".


       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.


