       IDENTIFICATION DIVISION.
       PROGRAM-ID.    TEST8.

      ***************************************************
      * TEST8                                           *
      * Sample with totals in columns and print in      *
      * footers when page jump                          *
      *                                                 *
      ***************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           SELECT F-DATA
                  ASSIGN TO INPUT-OUTPUT "DATA2.TXT"
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS MODE  IS SEQUENTIAL
                  FILE STATUS  IS STAT-DATA.

           SELECT IMPRESO
                  ASSIGN TO PRINT "REPORT.TXT"
                  FILE STATUS IS STAT-IMP.


       DATA DIVISION.
       FILE SECTION.

       FD  F-DATA
           LABEL RECORD IS STANDARD.
       01  R-DATA.
           02 DAT-LINE     PIC X(500).

       FD  IMPRESO
           LABEL RECORDS ARE OMITTED.
       01  LINEA         PIC X(500).

       WORKING-STORAGE SECTION.

       77 IK             PIC X.
       77 RESP           PIC X.

       77  STAT-DATA     PIC XX.
       77  STAT-IMP      PIC XX.
       
       77  FIRST-CLIENT  PIC X(01).
       77  MEM-LINE      PIC X(150).
       77  MEM-DETECT    PIC X(01).


       01  DAT-CUSTOMER.
           02 FILLER     PIC X.
           02 CUST-KEY   PIC X(06).
           02 FILLER     PIC X(02).
           02 CUST-NAME  PIC X(61).
           02 CUST-COMP  PIC X(51).
           02 CUST-ADDR  PIC X(61).
           02 CUST-ZIP   PIC X(06).
           02 FILLER     PIC X.
           02 CUST-CITY  PIC X(30).

       01  DAT-MOVTO.
           02 FILLER      PIC X(01).
           02 MOV-DATE1   PIC 9(06).
           02 FILLER      PIC X.
           02 MOV-DATE2   PIC 9(06).
           02 FILLER      PIC X.
           02 MOV-FOLIO1  PIC X(07).
           02 FILLER      PIC X.
           02 MOV-FOLIO2  PIC X(07).
           02 FILLER      PIC X.
           02 MOV-AMOUNT  PIC 99999999.99-.
           02 FILLER      PIC X.
           02 MOV-PAID    PIC 99999999.99-.
           02 FILLER      PIC X.
           02 MOV-BALANCE PIC 99999999.99-.
           02 FILLER      PIC X.
           02 MOV-REM     PIC X(20).

       01  VAR-DETAIL.
           02 FILLER           PIC X(05) VALUE "<VAR".
           02 VAR-NAME         PIC X(20).
           02 FILLER           PIC X(02) VALUE "='".
           02 VAR-VALUE        PIC X(100).
           02 FILLER           PIC X(02) VALUE "'>".
           
       01  DETA1.
           02 FILLER           PIC X(08) VALUE "<COL #1>".
           02 DET1-DATE        PIC 9(06).
           02 FILLER           PIC X(08) VALUE "<COL #2>".
           02 DET1-FOLIO       PIC X(07).
           02 FILLER           PIC X(08) VALUE "<COL #3>".
           02 DET1-AMOUNT      PIC ZZZ,ZZZ,ZZZ.ZZ-.
           02 FILLER           PIC X(08) VALUE "<COL #4>".
           02 DET1-PAID        PIC ZZZ,ZZZ,ZZZ.ZZ-.
           02 FILLER           PIC X(08) VALUE "<COL #5>".
           02 DET1-BALANCE     PIC ZZZ,ZZZ,ZZZ.ZZ-.


       PROCEDURE DIVISION.
       000-INICIO.

           OPEN INPUT F-DATA.
           OPEN OUTPUT IMPRESO.

           PERFORM 500-TITLES.
           
           MOVE "V" TO FIRST-CLIENT.


       100-READ.
           READ F-DATA AT END GO TO 500-FIN.
           
           MOVE DAT-LINE TO MEM-DETECT.
           IF MEM-DETECT = "C"
              IF FIRST-CLIENT = "F"
                 PERFORM 400-TOTAL-COLUMN4
              END-IF
              MOVE DAT-LINE TO DAT-CUSTOMER
              PERFORM 200-CLIENTE
           ELSE
           IF MEM-DETECT = "M"
              MOVE DAT-LINE TO DAT-MOVTO
              PERFORM 200-MOVIMIENTO.


           MOVE "F" TO FIRST-CLIENT.
           
           GO TO 100-READ.
           
       200-CLIENTE.
           MOVE "KEY"    TO VAR-NAME.
           MOVE CUST-KEY TO VAR-VALUE.
           WRITE LINEA FROM VAR-DETAIL.
           
           MOVE "NAME"   TO VAR-NAME.
           MOVE CUST-NAME TO VAR-VALUE.
           WRITE LINEA FROM VAR-DETAIL.
           
           WRITE LINEA FROM "<PRINT BAND-CLIENT>".


       200-MOVIMIENTO.
           MOVE MOV-DATE1   TO DET1-DATE
           MOVE MOV-FOLIO1   TO DET1-FOLIO
           MOVE MOV-AMOUNT  TO DET1-AMOUNT
           MOVE MOV-PAID    TO DET1-PAID
           MOVE MOV-BALANCE TO DET1-BALANCE
           
           WRITE LINEA FROM DETA1.
           
       400-TOTAL-COLUMN4.
           WRITE LINEA FROM "<PRINT BAND-BALANCE>".
      *     WRITE LINEA FROM "<NEWPAGE>".

       500-TITLES.
           WRITE LINEA FROM "<include 'test8.def'>".

           WRITE LINEA FROM "<body>".


       500-FIN.
           CLOSE F-DATA.
           CLOSE IMPRESO.

           CALL "SYSTEM" USING "COBVIEW.EXE REPORT.TXT".


       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

